target-version = "py312"
line-length = 120

[lint]
select = ["E", "F", "I", "W"]
ignore = ["E501"]

[lint.per-file-ignores]
"tests/**" = ["E402", "F841", "F811", "E741"]
"scripts/**" = ["E722", "E402"]

[lint.isort]
known-first-party = ["services"]
